package com.example.shoesapptest.di

import com.example.shoesapptest.data.AuthRepository
import com.example.shoesapptest.data.local.DataStore
import com.example.shoesapptest.data.remote.RetrofitClient
import com.example.shoesapptest.domain.usecase.AuthUseCase
import com.example.shoesapptest.screen.regscreen.RegistrationScreen
import com.example.shoesapptest.ui.screen.registrationscreen.RegistrationViewModel
import org.koin.core.module.dsl.viewModel
import org.koin.dsl.module

val appModules = module {
    single { DataStore(get()) }
    single { RetrofitClient.auth }
    single<AuthRepository> { AuthRepository(get()) }
    single { AuthUseCase(get(),get()) }
    viewModel { RegistrationViewModel(get())}
}